%define name    eet
%define version 1.7.5
%define option  0
%define svn     0
%if %option
%define rel 0.%option.2
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Name:    %{name}
Version: %{version}
%define subrel 1
Release: %{release}
License: BSD
Summary: Eet library
Group: Graphical desktop/Enlightenment
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.5 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:	%name-%svn.tar.xz
%else
Source:	http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
URL: http://trac.enlightenment.org/e/wiki/Eet
Patch0: eet-1.7.5-CVE-2014-4611.diff
BuildRequires: jpeg-devel 
BuildRequires: zlib-devel 
BuildRequires: eina-devel >= %{version}
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: openssl-devel
BuildRequires: doxygen

%description
Eet is a tiny library designed to write an arbitary set of chunks of data
to a file and optionally compress each chunk (very much like a zip file)
and allow fast random-access reading of the file later on. It does not
do zip as a zip itself has more complexity than is needed, and it was much
simpler to impliment this once here.

This package is part of the E17 desktop shell.

%package -n %libname
Summary: Eet library
Group: System/Libraries

%description -n %libname
This package contains the dynamic libraries from %name.

%package -n %libnamedev
Summary: Eet headers, static libraries, documentation and test programs
Group: Development/Other
Requires: %{libname} = %{version}
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %libnamedev
Headers and static libraries from eet

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif
%patch0 -p1

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
rm -fr %buildroot
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS COPYING README
%_bindir/%name

%files -n %libname
%_libdir/libeet.so.%{major}*

%files -n %libnamedev
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*
%_datadir/%name




%changelog
* Thu Jul 31 2014 oden <oden> 1.7.5-2.1.mga3
+ Revision: 658526
- P0: security fix for CVE-2014-4611 (opensuse)

* Tue May 07 2013 trem <trem> 1.7.5-2.mga3
+ Revision: 412559
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-1.mga3
+ Revision: 339266
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-1.mga3
+ Revision: 333852
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-1.mga3
+ Revision: 327926
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-1.mga3
+ Revision: 321312
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-1.mga3
+ Revision: 320188
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 1.7.0-1.mga3
+ Revision: 290108
- update to release 1.7.0

* Sat Jun 09 2012 trem <trem> 1.6.1-1.mga3
+ Revision: 258759
- update to 1.6.1

* Tue Jun 05 2012 trem <trem> 1.6.0-1.mga3
+ Revision: 255943
- update to 1.6.0 (stable release)

* Sun Mar 11 2012 trem <trem> 1.5.0-0.r69188.1.mga2
+ Revision: 222651
- update to release 69188

* Sat Mar 10 2012 trem <trem> 1.5.0-0.r69165.1.mga2
+ Revision: 222387
- update to release 69165

* Sun Mar 04 2012 trem <trem> 1.5.0-0.r68658.1.mga2
+ Revision: 217965
- update to release 68658

* Sat Mar 03 2012 trem <trem> 1.5.0-0.r68649.1.mga2
+ Revision: 217515
- update to release 68649

* Sun Feb 26 2012 trem <trem> 1.5.0-0.r68450.1.mga2
+ Revision: 215176
- update to release 68450

* Sat Feb 25 2012 trem <trem> 1.5.0-0.r68434.1.mga2
+ Revision: 214394
- update to release 68434

* Fri Feb 24 2012 trem <trem> 1.5.0-0.r68363.1.mga2
+ Revision: 213928
- update to release 68363

* Wed Feb 22 2012 trem <trem> 1.5.0-0.r68228.1.mga2
+ Revision: 212046
- update to release 68228

* Sun Feb 19 2012 trem <trem> 1.5.0-0.r68120.1.mga2
+ Revision: 210762
- update to release 68120

* Sat Feb 18 2012 trem <trem> 1.5.0-0.r68102.1.mga2
+ Revision: 210210
- update to release 68102

* Sat Feb 11 2012 trem <trem> 1.5.0-0.r67851.1.mga2
+ Revision: 207513
- update to release 67851

* Sat Feb 11 2012 trem <trem> 1.5.0-0.r67846.1.mga2
+ Revision: 207226
- update to release 67846

* Fri Feb 10 2012 trem <trem> 1.5.0-0.r67830.1.mga2
+ Revision: 206935
- update to release 67830

* Tue Feb 07 2012 trem <trem> 1.5.0-0.r67715.1.mga2
+ Revision: 205970
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Tue Dec 27 2011 trem <trem> 1.5.0-0.r66418.1.mga2
+ Revision: 188236
- fix svn url for export
- fix br on eina
- update to release 66418

* Sun Dec 04 2011 trem <trem> 1.5.0-0.r65867.1.mga2
+ Revision: 176064
- update to release 65867

* Tue Nov 29 2011 trem <trem> 1.5.0-0.r65688.1.mga2
+ Revision: 174216
- update to release 65688

* Sun Nov 27 2011 trem <trem> 1.5.0-0.r65613.1.mga2
+ Revision: 172939
- update to release 65613

* Sun Nov 20 2011 trem <trem> 1.5.0-0.r65428.1.mga2
+ Revision: 169702
- update to release 65428

* Fri Nov 18 2011 trem <trem> 1.5.0-0.r65369.1.mga2
+ Revision: 168688
- update to version 1.5.0
- update to release r65369

* Thu Nov 17 2011 trem <trem> 1.4.999-0.r65341.1.mga2
+ Revision: 168416
- update to release 65341

* Wed Nov 16 2011 trem <trem> 1.4.999-0.r65269.1.mga2
+ Revision: 168176
- update to release 65269

* Sun Nov 13 2011 trem <trem> 1.4.999-0.r65129.1.mga2
+ Revision: 167138
- update to release 65129

* Fri Nov 11 2011 trem <trem> 1.4.999-0.r65056.1.mga2
+ Revision: 166543
- update to release 65056

* Sat Nov 05 2011 trem <trem> 1.4.999-0.r64753.1.mga2
+ Revision: 163303
- update to release 64753

* Tue Nov 01 2011 trem <trem> 1.4.999-0.r64603.1.mga2
+ Revision: 160789
- update to release 64603

* Mon Oct 31 2011 trem <trem> 1.4.999-0.r64579.1.mga2
+ Revision: 160571
- update to release 64579

* Sun Oct 30 2011 trem <trem> 1.4.999-0.r64519.1.mga2
+ Revision: 160056
- update to release 64519

* Sat Oct 29 2011 trem <trem> 1.4.999-0.r64511.1.mga2
+ Revision: 159787
- update to r64511

* Fri Oct 28 2011 trem <trem> 1.4.999-0.r64501.1.mga2
+ Revision: 159273
- update to r64501

* Wed Oct 26 2011 trem <trem> 1.4.999-0.r64414.1.mga2
+ Revision: 158362
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 1.4.999-0.r64328.1.mga2
+ Revision: 157726
- update to svn release (instead of stable release)
- spec cleaning

* Mon Sep 26 2011 trem <trem> 1.4.1-3.mga2
+ Revision: 148923
- drop la files

  + fwang <fwang>
    - br gcrypt
    - rebuild for new gnutls

* Mon Jun 27 2011 trem <trem> 1.4.1-1.mga2
+ Revision: 114872
- update to 1.4.1

* Mon Apr 18 2011 ennael <ennael> 1.4.0-1.mga1
+ Revision: 87938
- clean spec file
- imported package eet

